Active employees by name or e-mail for access lists, contacts and interviewers (hr:recruiting:manage or managers of a posting)
GET /api/hr/v1/recruiting/people
Module: HR · operationId: searchRecruitingPeople · Tag: Recruiting · Auth: access token (Authorization: Bearer <accessToken>)
At most 20 people with name and e-mail; for people who set up postings without hr:read.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
q |
query | string |
Responses
- 200 People (
application/json) - 403 Error (
application/json)
Fields of the 200 answer:
items(array of object): Matching active employeesemail(string): E-mail address of the employeeid(string (uuid)): Id of the employeename(string): Display name of the employee
Example 200 answer:
{
"items": [
{
"email": "jonas.bauer@muster-it.example",
"id": "f2a4c6e8-0b2d-4f4a-8c6e-8a0c2e4b6d1c",
"name": "Jonas Bauer"
},
{
"email": "julia.hagen@muster-it.example",
"id": "0e2a4c6e-8a0c-4e2a-9c6e-8a0c2e4a6c9e",
"name": "Julia Hagen"
}
]
}
Example request
curl -X GET 'https://api.mbcom.cloud/api/hr/v1/recruiting/people' \
-H "Authorization: Bearer $ACCESS_TOKEN"